Bug 2006897 (CVE-2021-40324) - CVE-2021-40324 cobbler: Arbitrary file write via upload_log_data XMLRPC function
Summary: CVE-2021-40324 cobbler: Arbitrary file write via upload_log_data XMLRPC function
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2021-40324
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2006903 2006902
Blocks: 2006908
TreeView+ depends on / blocked
 
Reported: 2021-09-22 15:50 UTC by Pedro Sampaio
Modified: 2021-09-30 08:16 UTC (History)
11 users (show)

Fixed In Version: cobbler 3.3.0, cobbler 3.2.2
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in cobbler. The flaw lies in cobblerd's anamon support, specifically the upload_log_data XMLRPC function. An anamon_enabled setting, if enabled, accepts unsanitized user-supplied parameters. This flaw allows an attacker to write arbitrary files to the system. The highest threat from this vulnerability is to confidentiality, integrity, and availability.
Clone Of:
Environment:
Last Closed: 2021-09-24 08:50:37 UTC


Attachments (Terms of Use)

Description Pedro Sampaio 2021-09-22 15:50:53 UTC
A flaw was found in Cobbler. Arbitrary file write could be achieved via upload_log_data XMLRPC function.

References:

https://lists.suse.com/pipermail/sle-security-updates/2021-September/009468.html
https://github.com/cobbler/cobbler/issues/2795
https://github.com/cobbler/cobbler/pull/2794

Comment 1 Pedro Sampaio 2021-09-22 16:12:29 UTC
Created cobbler tracking bugs for this issue:

Affects: epel-7 [bug 2006903]
Affects: fedora-all [bug 2006902]


Note You need to log in before you can comment on or make changes to this bug.